Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tapestry5.ioc
Interface ServiceResources

All Superinterfaces:
  AnnotationAccess, ObjectLocator

All Known Subinterfaces:
  ServiceBuilderResources

All Known Implementing Classes:
  ServiceResourcesImpl

    public interface ServiceResources

extends ObjectLocator, AnnotationAccess

Contains resources that may be provided to a service when it initializes, which includes other services defined in the registry. ServiceResources provides access to other services (it extends `ObjectLocator`).

Method Summary
`java.lang.Class` | `getImplementationClass()` Deprecated. Deprecated in 5.3 with no replacement. May be removed in 5.4.
`org.slf4j.Logger` | `getLogger()` Returns a Logger appropriate for logging messages.
`java.lang.String` | `getServiceId()` Returns the fully qualified id of the service.
`java.lang.Class` | `getServiceInterface()` Returns the service interface implemented by the service.
`OperationTracker` | `getTracker()` Returns an object that can be used to track operations related to constructing, configuring, decorating and initializing the service.

Methods inherited from interface org.apache.tapestry5.ioc.ObjectLocator
`autobuild, autobuild, getObject, getService, getService, getService, proxy`

Methods inherited from interface org.apache.tapestry5.ioc.AnnotationAccess
`getClassAnnotationProvider, getMethodAnnotationProvider`

Method Detail

### getServiceId

    java.lang.String getServiceId()

  Returns the fully qualified id of the service.

### getServiceInterface

    java.lang.Class getServiceInterface()

  Returns the service interface implemented by the service.

### getLogger

    org.slf4j.Logger getLogger()

  Returns a Logger appropriate for logging messages. This includes debug level messages about the creation and configuration of the underlying service, as well as debug, warning, or error level messages from the service itself. Often service interceptors will make use of the service's logger.

### getTracker

    OperationTracker getTracker()

  Returns an object that can be used to track operations related to constructing, configuring, decorating and initializing the service.

### getImplementationClass

    java.lang.Class getImplementationClass()

  Deprecated. Deprecated in 5.3 with no replacement. May be removed in 5.4.

  Returns null (as of 5.3).

  Since:
    5.2.0

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2012 The Apache Software Foundation.